Package org.apache.nutch.net

## Class URLExemptionFilters

- java.lang.Object
- - org.apache.nutch.net.URLExemptionFilters

-     public class URLExemptionFilters
      extends Object

  Creates and caches `URLExemptionFilter` implementing plugins.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `URLExemptionFilters​(Configuration conf)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isExempted​(String fromUrl, String toUrl)` | Run all defined filters.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### URLExemptionFilters

          public URLExemptionFilters​(Configuration conf)

  - ### Method Detail

    - #### isExempted

          public boolean isExempted​(String fromUrl,
                                    String toUrl)

      Run all defined filters. Assume logical AND. An URL is exempted when all the filters accept it to pass through
      Parameters:
        `fromUrl` - the source url which generated the outlink
        `toUrl` - the destination url which needs to be checked for exemption
      Returns:
        true is exempted, false otherwise